summaryrefslogtreecommitdiff
path: root/t/t0024-crlf-archive.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2013-01-20 17:22:22 -0800
committerJunio C Hamano <gitster@pobox.com>2013-01-20 17:22:22 -0800
commit1bc7a2b38f29e1336c91f57bc88d2391e0f72786 (patch)
treeb4b742d50843a9420d5e80f2a62d29b177eae222 /t/t0024-crlf-archive.sh
parente4f59a32de3f90ff5aabc09b9da6bd5818c5076b (diff)
parent55292ea25dca1f3273b4e59aa37ee66cae4aa343 (diff)
downloadgit-1bc7a2b38f29e1336c91f57bc88d2391e0f72786.tar.gz
Merge branch 'rs/zip-tests' into maint
* rs/zip-tests: t5003: check if unzip supports symlinks t5000, t5003: move ZIP tests into their own script t0024, t5000: use test_lazy_prereq for UNZIP t0024, t5000: clear variable UNZIP, use GIT_UNZIP instead
Diffstat (limited to 't/t0024-crlf-archive.sh')
-rwxr-xr-xt/t0024-crlf-archive.sh16
1 files changed, 7 insertions, 9 deletions
diff --git a/t/t0024-crlf-archive.sh b/t/t0024-crlf-archive.sh
index ec6c1b3f8a..5378787e1b 100755
--- a/t/t0024-crlf-archive.sh
+++ b/t/t0024-crlf-archive.sh
@@ -3,7 +3,12 @@
test_description='respect crlf in git archive'
. ./test-lib.sh
-UNZIP=${UNZIP:-unzip}
+GIT_UNZIP=${GIT_UNZIP:-unzip}
+
+test_lazy_prereq UNZIP '
+ "$GIT_UNZIP" -v
+ test $? -ne 127
+'
test_expect_success setup '
@@ -26,18 +31,11 @@ test_expect_success 'tar archive' '
'
-"$UNZIP" -v >/dev/null 2>&1
-if [ $? -eq 127 ]; then
- say "Skipping ZIP test, because unzip was not found"
-else
- test_set_prereq UNZIP
-fi
-
test_expect_success UNZIP 'zip archive' '
git archive --format=zip HEAD >test.zip &&
- ( mkdir unzipped && cd unzipped && unzip ../test.zip ) &&
+ ( mkdir unzipped && cd unzipped && "$GIT_UNZIP" ../test.zip ) &&
test_cmp sample unzipped/sample